## GstWin32IpcBaseSrc

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSrc
                        ╰──GstWin32IpcBaseSrc

Since : 1.28

### Properties

#### current-level-buffers

    “current-level-buffers” guint64

The number of currently queued buffers

Flags : Read

Default value : 0

#### leaky-type

    “leaky-type” GstWin32IpcLeakyType *

Whether to drop buffers once the internal queue is full

Flags : Read / Write

Default value : downstream (2)

#### max-buffers

    “max-buffers” guint64

Maximum number of buffers in queue (0=unlimited)

Flags : Read / Write

Default value : 2

#### pipe-name

    “pipe-name” gchararray

The name of Win32 named pipe to communicate with server. Validation of the client name is caller's responsibility

Flags : Read / Write

Default value : \\.\pipe\gst.win32.ipc.video

#### processing-deadline

    “processing-deadline” guint64

Maximum processing time for a buffer in nanoseconds

Flags : Read / Write

Default value : 20000000

### Named constants

#### GstWin32IpcLeakyType

##### Members

`none` (0) – None
`upstream` (1) – Upstream
`downstream` (2) – Downstream

Since : 1.28

The results of the search are